Inactives the given coupon on the bonifiq system.
curl --request POST \
--url https://api.bonifiq.com.br/v1/pvt/Coupons/{code}/inactive \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.bonifiq.com.br/v1/pvt/Coupons/{code}/inactive"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.bonifiq.com.br/v1/pvt/Coupons/{code}/inactive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Items": [
{
"CouponCode": "<string>",
"CreatedDate": "2023-11-07T05:31:56Z",
"IsUsed": true,
"CouponValue": 123,
"CustomerId": 123,
"ValidDateStart": "2023-11-07T05:31:56Z",
"ValidDateEnd": "2023-11-07T05:31:56Z",
"CouponType": 0
}
],
"TotalItemCount": 123,
"PageSize": 123,
"PageNumber": 123,
"HasNextPage": true,
"HasError": true,
"ErrorMessages": [
"<string>"
]
}Coupons
Inactives the given coupon on the bonifiq system.
POST
/
v1
/
pvt
/
Coupons
/
{code}
/
inactive
Inactives the given coupon on the bonifiq system.
Authorizations
Use API Basic Auth Keys
Path Parameters
Response
200 - application/json
Base List response model methods
Collection with the found entities on the bonifiq DB.
Show child attributes
Show child attributes
Total of rewards Configurations founds.
Pagination size
Actual Page Number
true if there is another page to be load.
If true the request had an error.
List with the error messages
Was this page helpful?